package userdb;

//
// Interface definition : HomeDirCreatorResource
//
// @author OpenORB Compiler
//
public class HomeDirCreatorResourcePOATie extends HomeDirCreatorResourcePOA
{

	//
	// Private reference to implementation object
	//
	private HomeDirCreatorResourceOperations _tie;

	//
	// Private reference to POA
	//
	private org.omg.PortableServer.POA _poa;

	//
	// Constructor
	//
	public HomeDirCreatorResourcePOATie( HomeDirCreatorResourceOperations tieObject )
	{
		_tie = tieObject;
	}

	//
	// Constructor
	//
	public HomeDirCreatorResourcePOATie( HomeDirCreatorResourceOperations tieObject, org.omg.PortableServer.POA poa )
	{
		_tie = tieObject;
		_poa = poa;
	}

	//
	// Get the delegate
	//
	public HomeDirCreatorResourceOperations _delegate()
	{
		return _tie;
	}

	//
	// Set the delegate
	//
	public void _delegate( HomeDirCreatorResourceOperations delegate_)
	{
		_tie = delegate_;
	}

	//
	//
	//
	public org.omg.PortableServer.POA _default_POA()
	{
		if ( _poa != null )
		    return _poa;
		else
		    return super._default_POA();
	}

	//
	// Operation prepare
	//
	public org.omg.CosTransactions.Vote prepare()
		throws org.omg.CosTransactions.HeuristicMixed, org.omg.CosTransactions.HeuristicHazard
	{
		return _tie.prepare();
	}

	//
	// Operation rollback
	//
	public void rollback()
		throws org.omg.CosTransactions.HeuristicCommit, org.omg.CosTransactions.HeuristicMixed, org.omg.CosTransactions.HeuristicHazard
	{
		_tie.rollback();
	}

	//
	// Operation commit
	//
	public void commit()
		throws org.omg.CosTransactions.NotPrepared, org.omg.CosTransactions.HeuristicRollback, org.omg.CosTransactions.HeuristicMixed, org.omg.CosTransactions.HeuristicHazard
	{
		_tie.commit();
	}

	//
	// Operation commit_one_phase
	//
	public void commit_one_phase()
		throws org.omg.CosTransactions.HeuristicHazard
	{
		_tie.commit_one_phase();
	}

	//
	// Operation forget
	//
	public void forget()
	{
		_tie.forget();
	}

}
