package userdb;

//
// Helper class for : UnixUserNotFound
//
// @author OpenORB Compiler
//
public class UnixUserNotFoundHelper
{
	private static final boolean HAS_OPENORB;
	static {
		boolean hasOpenORB = false;
		try {
			Class.forName("org.openorb.CORBA.Any");
			hasOpenORB = true;
		}
		catch(ClassNotFoundException ex) {
		}
		HAS_OPENORB = hasOpenORB;
	}
	//
	// Insert UnixUserNotFound into an any
	// @param	a an any
	// @param	t UnixUserNotFound value
	//
	public static void insert( org.omg.CORBA.Any a, userdb.UnixUserNotFound t )
	{
		a.insert_Streamable( new userdb.UnixUserNotFoundHolder( t ));
	}

	//
	// Extract UnixUserNotFound from an any
	// @param	a an any
	// @return the extracted UnixUserNotFound value
	//
	public static userdb.UnixUserNotFound extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		if(HAS_OPENORB && a instanceof org.openorb.CORBA.Any) {
			// streamable extraction. The jdk stubs incorrectly define the Any stub
			org.openorb.CORBA.Any any = (org.openorb.CORBA.Any)a;
			try {
				org.omg.CORBA.portable.Streamable s = any.extract_Streamable();
				if(s instanceof userdb.UnixUserNotFoundHolder)
					return ((userdb.UnixUserNotFoundHolder)s).value;
			}
			catch ( org.omg.CORBA.BAD_INV_ORDER ex ) {}
			userdb.UnixUserNotFoundHolder h = new userdb.UnixUserNotFoundHolder(read(a.create_input_stream()));
			a.insert_Streamable(h);
			return h.value;
		}
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;
	private static boolean _working = false;

	//
	// Return the UnixUserNotFound TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			synchronized(org.omg.CORBA.TypeCode.class) {
				if ( _tc != null )
					return _tc;
				if ( _working )
					return org.omg.CORBA.ORB.init().create_recursive_tc( id() );
				_working = true;
				org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
				org.omg.CORBA.StructMember []_members = new org.omg.CORBA.StructMember[0];

				_tc = orb.create_exception_tc(id(),"UnixUserNotFound",_members);
				_working = false;
			}
		}
		return _tc;
	}

	//
	// Return the UnixUserNotFound IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:userdb/UnixUserNotFound:1.0";

	//
	// Read UnixUserNotFound from a marshalled stream
	// @param	istream the input stream
	// @return the readed UnixUserNotFound value
	//
	public static userdb.UnixUserNotFound read( org.omg.CORBA.portable.InputStream istream )
	{
		userdb.UnixUserNotFound new_one = new userdb.UnixUserNotFound();

		if ( !istream.read_string().equals( id() ) )
			throw new org.omg.CORBA.MARSHAL();

		return new_one;
	}

	//
	// Write UnixUserNotFound into a marshalled stream
	// @param	ostream the output stream
	// @param	value UnixUserNotFound value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, userdb.UnixUserNotFound value )
	{
		ostream.write_string( id() );
	}

}
