package userdb;

//
// Interface definition : HomeDirCreatorResource
//
// @author OpenORB Compiler
//
public abstract class HomeDirCreatorResourcePOA extends org.omg.PortableServer.Servant
		implements HomeDirCreatorResourceOperations, org.omg.CORBA.portable.InvokeHandler
{
	public HomeDirCreatorResource _this()
	{
		return HomeDirCreatorResourceHelper.narrow(_this_object());
	}

	public HomeDirCreatorResource _this( org.omg.CORBA.ORB orb )
	{
		return HomeDirCreatorResourceHelper.narrow(_this_object(orb));
	}

	private static String [] _ids_list =
	{
		"IDL:userdb/HomeDirCreatorResource:1.0", 
		"IDL:omg.org/CosTransactions/Resource:1.0"
	};

	public String[] _all_interfaces( org.omg.PortableServer.POA poa, byte [] objectId)
	{
		return _ids_list;
	}

	public org.omg.CORBA.portable.OutputStream _invoke ( String opName,
	                                                     org.omg.CORBA.portable.InputStream _is,
	                                                     org.omg.CORBA.portable.ResponseHandler handler)
	{
		org.omg.CORBA.portable.OutputStream _output = null;

		if ( opName.equals("_get_newHomeDirPath") )
		{
			String arg = newHomeDirPath();
			_output = handler.createReply();
			_output.write_string(arg);
			return _output;
		}
		else
		if ( opName.equals("_get_uid") )
		{
			int arg = uid();
			_output = handler.createReply();
			_output.write_long(arg);
			return _output;
		}
		else
		if ( opName.equals("_get_gid") )
		{
			int arg = gid();
			_output = handler.createReply();
			_output.write_long(arg);
			return _output;
		}
		else
		if ( opName.equals("prepare") )
		{

			try
			{
				org.omg.CosTransactions.Vote _arg_result = prepare();

				_output = handler.createReply();
				org.omg.CosTransactions.VoteHelper.write(_output,_arg_result);

			}
			catch ( org.omg.CosTransactions.HeuristicMixed _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicMixedHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicHazard _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicHazardHelper.write(_output,_exception);
			}
			return _output;
		}
		else
		if ( opName.equals("rollback") )
		{

			try
			{
				rollback();

				_output = handler.createReply();

			}
			catch ( org.omg.CosTransactions.HeuristicCommit _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicCommitHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicMixed _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicMixedHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicHazard _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicHazardHelper.write(_output,_exception);
			}
			return _output;
		}
		else
		if ( opName.equals("commit") )
		{

			try
			{
				commit();

				_output = handler.createReply();

			}
			catch ( org.omg.CosTransactions.NotPrepared _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.NotPreparedHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicRollback _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicRollbackHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicMixed _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicMixedHelper.write(_output,_exception);
			}
			catch ( org.omg.CosTransactions.HeuristicHazard _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicHazardHelper.write(_output,_exception);
			}
			return _output;
		}
		else
		if ( opName.equals("commit_one_phase") )
		{

			try
			{
				commit_one_phase();

				_output = handler.createReply();

			}
			catch ( org.omg.CosTransactions.HeuristicHazard _exception )
			{
				_output = handler.createExceptionReply();
				org.omg.CosTransactions.HeuristicHazardHelper.write(_output,_exception);
			}
			return _output;
		}
		else
		if ( opName.equals("forget") )
		{

			forget();

			_output = handler.createReply();

			return _output;
		}
		else
			throw new org.omg.CORBA.BAD_OPERATION();
	}
}
