package userdb;

//
// Helper class for : ShortInfoList
//
// @author OpenORB Compiler
//
public class ShortInfoListHelper
{
	private static final boolean HAS_OPENORB;
	static {
		boolean hasOpenORB = false;
		try {
			Class.forName("org.openorb.CORBA.Any");
			hasOpenORB = true;
		}
		catch(ClassNotFoundException ex) {
		}
		HAS_OPENORB = hasOpenORB;
	}
	//
	// Insert ShortInfoList into an any
	// @param	a an any
	// @param	t ShortInfoList value
	//
	public static void insert( org.omg.CORBA.Any a, userdb.ShortInfo[] t )
	{
		a.insert_Streamable( new userdb.ShortInfoListHolder( t ));
	}

	//
	// Extract ShortInfoList from an any
	// @param	a an any
	// @return the extracted ShortInfoList value
	//
	public static userdb.ShortInfo[] extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		if(HAS_OPENORB && a instanceof org.openorb.CORBA.Any) {
			// streamable extraction. The jdk stubs incorrectly define the Any stub
			org.openorb.CORBA.Any any = (org.openorb.CORBA.Any)a;
			try {
				org.omg.CORBA.portable.Streamable s = any.extract_Streamable();
				if(s instanceof userdb.ShortInfoListHolder)
					return ((userdb.ShortInfoListHolder)s).value;
			}
			catch ( org.omg.CORBA.BAD_INV_ORDER ex ) {}
			userdb.ShortInfoListHolder h = new userdb.ShortInfoListHolder(read(a.create_input_stream()));
			a.insert_Streamable(h);
			return h.value;
		}
		return read(a.create_input_stream());
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the ShortInfoList TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_alias_tc(id(),"ShortInfoList",orb.create_sequence_tc(0,userdb.ShortInfoHelper.type()));
		}
		return _tc;
	}

	//
	// Return the ShortInfoList IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:userdb/ShortInfoList:1.0";

	//
	// Read ShortInfoList from a marshalled stream
	// @param	istream the input stream
	// @return the readed ShortInfoList value
	//
	public static userdb.ShortInfo[] read( org.omg.CORBA.portable.InputStream istream )
	{
		userdb.ShortInfo[] new_one;
		{
		int size1 = istream.read_ulong();
		new_one = new userdb.ShortInfo[size1];
		for ( int i1=0; i1<new_one.length; i1++)
		 {
			new_one[i1] = userdb.ShortInfoHelper.read(istream);

		 }
		}

		return new_one;
	}

	//
	// Write ShortInfoList into a marshalled stream
	// @param	ostream the output stream
	// @param	value ShortInfoList value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, userdb.ShortInfo[] value )
	{
		ostream.write_ulong(value.length);
		for ( int i1=0; i1<value.length; i1++)
		{
			userdb.ShortInfoHelper.write(ostream,value[i1]);

		}
	}

}
