package userdb;

//
// Helper class for : UnixUserResource
//
// @author OpenORB Compiler
//
public class UnixUserResourceHelper
{
	//
	// Insert UnixUserResource into an any
	// @param	a an any
	// @param	t UnixUserResource value
	//
	public static void insert( org.omg.CORBA.Any a, userdb.UnixUserResource t )
	{
		a.insert_Object( t , type() );
	}

	//
	// Extract UnixUserResource from an any
	// @param	a an any
	// @return the extracted UnixUserResource value
	//
	public static userdb.UnixUserResource extract( org.omg.CORBA.Any a )
	{
		if ( !a.type().equal( type() ) )
			throw new org.omg.CORBA.MARSHAL();
		try {
			return userdb.UnixUserResourceHelper.narrow( a.extract_Object() );
		}
		catch ( org.omg.CORBA.BAD_PARAM ex ) {
			throw new org.omg.CORBA.MARSHAL();
		}
	}

	//
	// Internal TypeCode value
	//
	private static org.omg.CORBA.TypeCode _tc = null;

	//
	// Return the UnixUserResource TypeCode
	// @return a TypeCode
	//
	public static org.omg.CORBA.TypeCode type()
	{
		if ( _tc == null ) {
			org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init();
			_tc = orb.create_interface_tc(id(),"UnixUserResource");
		}
		return _tc;
	}

	//
	// Return the UnixUserResource IDL ID
	// @return an ID
	//
	public static String id()
	{
		return _id;
	}

	private final static String _id = "IDL:userdb/UnixUserResource:1.0";

	//
	// Read UnixUserResource from a marshalled stream
	// @param	istream the input stream
	// @return the readed UnixUserResource value
	//
	public static userdb.UnixUserResource read( org.omg.CORBA.portable.InputStream istream )
	{
		return( userdb.UnixUserResource )istream.read_Object( userdb._UnixUserResourceStub.class );
	}

	//
	// Write UnixUserResource into a marshalled stream
	// @param	ostream the output stream
	// @param	value UnixUserResource value
	//
	public static void write( org.omg.CORBA.portable.OutputStream ostream, userdb.UnixUserResource value )
	{
		ostream.write_Object((org.omg.CORBA.portable.ObjectImpl)value);
	}

	//
	// Narrow CORBA::Object to UnixUserResource
	// @param	obj the CORBA Object
	// @return UnixUserResource Object
	//
	public static UnixUserResource narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof UnixUserResource )
			return ( UnixUserResource)obj;

		if ( obj._is_a( id() ) )
		{
			_UnixUserResourceStub stub = new _UnixUserResourceStub();
			stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
			return stub;
		}

		throw new org.omg.CORBA.BAD_PARAM();
	}

	//
	// Unchecked Narrow CORBA::Object to UnixUserResource
	// @param	obj the CORBA Object
	// @return UnixUserResource Object
	//
	public static UnixUserResource unchecked_narrow( org.omg.CORBA.Object obj )
	{
		if ( obj == null )
			return null;
		if ( obj instanceof UnixUserResource )
			return ( UnixUserResource)obj;

		_UnixUserResourceStub stub = new _UnixUserResourceStub();
		stub._set_delegate( ((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate() );
		return stub;

	}

}
