import java.io.*;

class Example implements Serializable
{
    String importantState;

    transient String unimportantState;


    public static void main (String argv[])
    {
	try
	{
	    Example obj;

	    if (argv.length > 1)
	    {
		ObjectOutputStream p = new ObjectOutputStream(
		  new FileOutputStream(argv[0]));

		obj = new Example();
		obj.importantState = argv[1];
		obj.unimportantState = argv[2];

		p.writeObject(obj);
		p.flush();

	    }
	    else
	    {
	        ObjectInputStream p = new ObjectInputStream(
		  new FileInputStream(argv[0]));

		obj = (Example) p.readObject();
	    }

	    System.out.println("importantState:   " + obj.importantState);
	    System.out.println("unimportantState: " + obj.unimportantState);
	    System.out.println("Objekt-Referenz:  " + obj);
	}
	catch (Exception e)
	{
	    e.printStackTrace();
	}
    }
}

